#
# spec file for package suck (Version 4.2.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         suck
Copyright:    Public Domain
Group:        Applications/News
Provides:     suck 
Autoreqprov:  on
Version:      4.2.5
Release:      94
URL:          http://home.att.net/~bobyetman/
Summary:      Reading News Offline
Source: suck-%{version}.tar.gz
Patch: suck-%{version}.dif
Patch1: suck-%{version}-ia64.patch
BuildRoot:    /var/tmp/%{name}-build

%description
Suck is a program used to grab news from a remote NNTP news server
and bring it to your local machine, without the remote server
doing anything special.

Authors:
--------
    Tim Smith
    Sven Goldt <goldt@math.tu-berlin.de>
    Robert A. Yetman <boby@pixi.com>

SuSE series: n

%prep
%setup
%patch
%patch1

%build
CFLAGS="-Wall $RPM_OPT_FLAGS -pipe" ./configure --prefix=/usr 
make all lpost

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT"
make prefix="$RPM_BUILD_ROOT"/usr \
     bindir="$RPM_BUILD_ROOT"/usr/bin \
     mandir="$RPM_BUILD_ROOT"/%{_mandir}/man1 \
     install install_lpost

%clean
rm -rf "$RPM_BUILD_ROOT"
 

%files
/usr/bin/*
%doc README* sample/*
%doc %{_mandir}/man1/*

%changelog -n suck
* Mon May 21 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Tue Mar 13 2001 - nadvornik@suse.cz
- update to 4.2.5
* Mon Nov 13 2000 - ro@suse.de
- use -lm for libperl on all archs
* Wed Sep 27 2000 - nadvornik@suse.cz
- default location for history file changed
  from /usr/news/db/history to /var/lib/news/history
* Wed Sep 13 2000 - schwab@suse.de
- Fix Makefile for ia64
- Include <stdlib.h> for malloc.
* Tue May 23 2000 - nadvornik@suse.cz
- update to 4.2.4
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group tag
* Tue Apr 11 2000 - nadvornik@suse.cz
- added URL
* Tue Mar 21 2000 - nadvornik@suse.cz
- added BuildRoot
- fixed Makefile.in for sparc
* Fri Feb 18 2000 - fehr@suse.de
- changed to new version 4.2.3
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - uli@suse.de
- fixed Makefile.in for PPC
- added RPM_OPT_FLAGS to CFLAGS in Makefile.Linux
* Fri Aug 27 1999 - fehr@suse.de
- update to 4.2.2
* Thu Oct 01 1998 - ro@suse.de
- update to 3.9.4
* Thu Jul 16 1998 - florian@suse.de
- update to version 3.9.3
- simplified spec-file
* Mon Mar 02 1998 - florian@suse.de
- update to version 3.9.1
* Fri Oct 10 1997 - florian@suse.de
- update to version 3.6.0
* Mon Jun 23 1997 - florian@suse.de
- update to version 3.5.1
* Tue May 27 1997 - florian@suse.de
- fix path to /var/lib/news/history
- update to version 3.4.1
* Thu Jan 02 1997 - florian@suse.de
- update to version 3.3.2
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 3.3.0.
- Anpassung einiger einkompilierter Pfade.
* Thu Jan 02 1997 - florian@suse.de
- update to newer version
* Thu Jan 02 1997 - bs@suse.de
  1. Version
